/********************************************************************************/
/*                                                                              */
/*  Kroenke, Auer, Yoder, Vandenberg - DBC (8th Edition) Chapter 08             */
/*                                                                              */
/*  Garden Glory Warehouse Database Data [GG-DW]                                */
/*                                                                              */
/*  These are the Oracle Database XE SQL code solutions                  */
/*                                                                              */
/********************************************************************************/

/*****   TIMELINE   *************************************************************/
INSERT INTO TIMELINE VALUES(
	42860, TO_DATE('05-May-17', 'DD-MON-YY'),	5, 'May', 2, 'Qtr2', 2017);
INSERT INTO TIMELINE VALUES(
	42863, TO_DATE('08-May-17', 'DD-MON-YY'),	5, 'May', 2, 'Qtr2', 2017);
INSERT INTO TIMELINE VALUES(
	42865, TO_DATE('10-May-17', 'DD-MON-YY'),	5, 'May', 2, 'Qtr2', 2017);
INSERT INTO TIMELINE VALUES(
	42867, TO_DATE('12-May-17', 'DD-MON-YY'),	5, 'May', 2, 'Qtr2', 2017);
INSERT INTO TIMELINE VALUES(
	42870, TO_DATE('15-May-17', 'DD-MON-YY'),	5, 'May', 2, 'Qtr2', 2017);
INSERT INTO TIMELINE VALUES(
	42874, TO_DATE('19-May-17', 'DD-MON-YY'),	5, 'May', 2, 'Qtr2', 2017);
INSERT INTO TIMELINE VALUES(
	42876, TO_DATE('21-May-17', 'DD-MON-YY'),	5, 'May', 2, 'Qtr2', 2017);
INSERT INTO TIMELINE VALUES(
	42889, TO_DATE('03-Jun-17', 'DD-MON-YY'),	6, 'Jun', 2, 'Qtr2', 2017);
INSERT INTO TIMELINE VALUES(
	42891, TO_DATE('05-Jun-17', 'DD-MON-YY'),	6, 'Jun', 2, 'Qtr2', 2017);
INSERT INTO TIMELINE VALUES(
	42894, TO_DATE('08-Jun-17', 'DD-MON-YY'),	6, 'Jun', 2, 'Qtr2', 2017);
INSERT INTO TIMELINE VALUES(
	42896, TO_DATE('10-Jun-17', 'DD-MON-YY'),	6, 'Jun', 2, 'Qtr2', 2017);
INSERT INTO TIMELINE VALUES(
	42898, TO_DATE('12-Jun-17', 'DD-MON-YY'),	6, 'Jun', 2, 'Qtr2', 2017);
INSERT INTO TIMELINE VALUES(
	42901, TO_DATE('15-Jun-17', 'DD-MON-YY'),	6, 'Jun', 2, 'Qtr2', 2017);
INSERT INTO TIMELINE VALUES(
	42905, TO_DATE('19-Jun-17', 'DD-MON-YY'),	6, 'Jun', 2, 'Qtr2', 2017);
INSERT INTO TIMELINE VALUES(
	42921, TO_DATE('05-Jul-17', 'DD-MON-YY'),	7, 'Jul', 3, 'Qtr3', 2017);
INSERT INTO TIMELINE VALUES(
	42924, TO_DATE('08-Jul-17', 'DD-MON-YY'),	7, 'Jul', 3, 'Qtr3', 2017);
INSERT INTO TIMELINE VALUES(
	42926, TO_DATE('10-Jul-17', 'DD-MON-YY'),	7, 'Jul', 3, 'Qtr3', 2017);
INSERT INTO TIMELINE VALUES(
	42928, TO_DATE('12-Jul-17', 'DD-MON-YY'),	7, 'Jul', 3, 'Qtr3', 2017);
INSERT INTO TIMELINE VALUES(
	42931, TO_DATE('15-Jul-17', 'DD-MON-YY'),	7, 'Jul', 3, 'Qtr3', 2017);
INSERT INTO TIMELINE VALUES(
	42935, TO_DATE('19-Jul-17', 'DD-MON-YY'),	7, 'Jul', 3, 'Qtr3', 2017);


/*****   EMPLOYEE   *************************************************************/

INSERT INTO EMPLOYEE VALUES(
	1, 'Smith', 'Sam', 'Master');
INSERT INTO EMPLOYEE VALUES(
	2, 'Evanston', 'John', 'Senior');
INSERT INTO EMPLOYEE VALUES(
	3, 'Murray', 'Dale', 'Junior');
INSERT INTO EMPLOYEE VALUES(
	4, 'Murphy', 'Jerry','Master');
INSERT INTO EMPLOYEE VALUES(
	5, 'Fontaine', 'Joan','Senior');

/*****   PROPERTY   *************************************************************/

INSERT INTO PROPERTY VALUES(
	1, 'Eastlake Building', 'Seattle', 'WA', '98119');
INSERT INTO PROPERTY VALUES(
	2, 'Elm St Apts', 'Lynwood', 'WA', '98223');
INSERT INTO PROPERTY VALUES(
	3, 'Jefferson Hill', 'Bellevue', 'WA', '98007');
INSERT INTO PROPERTY VALUES(
	4, 'Lake View Apts', 'Redmond', 'WA', '98052');
INSERT INTO PROPERTY VALUES(
	5, 'Kodak Heights Apts', 'Redmond', 'WA', '98052');
INSERT INTO PROPERTY VALUES(
	6, 'Jones House',  'Bellevue', 'WA', '98007');
INSERT INTO PROPERTY VALUES(
	7, 'Douglas House', 'Bellevue', 'WA', '98007');
INSERT INTO PROPERTY VALUES(
	8, 'Samuels House', 'Redmond', 'WA', '98052');


/*****   SERVICE   **************************************************************/

/* 5/5/2017 =>   42860, etc, see above  */
INSERT INTO SERVICE_HOURS VALUES(42860, 1, 1, 4.50);
INSERT INTO SERVICE_HOURS VALUES(42863, 3, 3, 4.50);
INSERT INTO SERVICE_HOURS VALUES(42863, 2, 2, 2.75);
INSERT INTO SERVICE_HOURS VALUES(42865, 6, 5, 2.50);
INSERT INTO SERVICE_HOURS VALUES(42867, 5, 4, 7.50);
INSERT INTO SERVICE_HOURS VALUES(42870, 8, 4, 2.75);
INSERT INTO SERVICE_HOURS VALUES(42874, 4, 1, 1.00);
INSERT INTO SERVICE_HOURS VALUES(42876, 7, 2, 2.50);
INSERT INTO SERVICE_HOURS VALUES(42889, 6, 5, 2.50);
INSERT INTO SERVICE_HOURS VALUES(42894, 5, 4, 10.50);
INSERT INTO SERVICE_HOURS VALUES(42898, 8, 4, 2.75);
INSERT INTO SERVICE_HOURS VALUES(42901, 4, 1, 5.00);
INSERT INTO SERVICE_HOURS VALUES(42905, 7, 2, 4.00);

/*  additional made-up data follows  */
 
INSERT INTO SERVICE_HOURS VALUES(42891,1, 1, 4.50);
INSERT INTO SERVICE_HOURS VALUES(42894,3, 1, 4.50);
INSERT INTO SERVICE_HOURS VALUES(42894,2, 3, 2.75);
INSERT INTO SERVICE_HOURS VALUES(42896,6, 5, 2.50);
INSERT INTO SERVICE_HOURS VALUES(42898,5, 5, 7.50);
INSERT INTO SERVICE_HOURS VALUES(42901,8, 4, 2.75);
INSERT INTO SERVICE_HOURS VALUES(42905,4, 2, 3.00);
INSERT INTO SERVICE_HOURS VALUES(42905,7, 4, 2.50);
INSERT INTO SERVICE_HOURS VALUES(42921,1, 3, 4.50);
INSERT INTO SERVICE_HOURS VALUES(42924,3, 5, 4.50);
INSERT INTO SERVICE_HOURS VALUES(42924,2, 4, 2.75);
INSERT INTO SERVICE_HOURS VALUES(42926,6, 5, 2.50);
INSERT INTO SERVICE_HOURS VALUES(42928,5, 3, 7.50);
INSERT INTO SERVICE_HOURS VALUES(42931,8, 1, 2.75);
INSERT INTO SERVICE_HOURS VALUES(42935,4, 2, 3.00);
INSERT INTO SERVICE_HOURS VALUES(42935,7, 1, 2.50);

/****************************************************************************************/

